Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.marshal
Class MarshallerLoaderClient

    java.lang.Object
      org.jboss.remoting.marshal.MarshallerLoaderClient

All Implemented Interfaces:
  MarshallerLoaderConstants

    public class MarshallerLoaderClient

extends java.lang.Object
implements MarshallerLoaderConstants

This class is used to load marshaller and unmarshallers from remote server.

Author:
  Tom Elrod

Field Summary
`protected static org.jboss.logging.Logger` | `log`

Fields inherited from interface org.jboss.remoting.marshal.MarshallerLoaderConstants
`CLASSNAME, GET_MARSHALLER_METHOD, GET_UNMARSHALLER_METHOD, LOAD_CLASS_METHOD, LOAD_MARSHALLER_METHOD, LOAD_UNMARSHALLER_METHOD`

Constructor Summary
`MarshallerLoaderClient()`

Method Summary
`static Marshaller` | `getMarshaller(InvokerLocator loaderLocator, java.lang.String dataType, java.lang.ClassLoader classByteLoader)` Will call on marshall loader server to load marshaller for given data type.
`static UnMarshaller` | `getUnMarshaller(InvokerLocator loaderLocator, java.lang.String dataType, java.lang.ClassLoader classByteLoader)` Will call on marshall loader server to load unmarshaller for given data type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.jboss.logging.Logger log

Constructor Detail

### MarshallerLoaderClient

    public MarshallerLoaderClient()

Method Detail

### getMarshaller

    public static Marshaller getMarshaller(InvokerLocator loaderLocator,
                                           java.lang.String dataType,
                                           java.lang.ClassLoader classByteLoader)

  Will call on marshall loader server to load marshaller for given data type.

  Parameters:
    `loaderLocator` - converted locator indicating which marhaller loader to call upon.
    `dataType` - indicates which marshaller to get.
    `classByteLoader` - is the class loader that the new marshaller and related classes get loaed into.
  Returns:

### getUnMarshaller

    public static UnMarshaller getUnMarshaller(InvokerLocator loaderLocator,
                                               java.lang.String dataType,
                                               java.lang.ClassLoader classByteLoader)

  Will call on marshall loader server to load unmarshaller for given data type.

  Parameters:
    `loaderLocator` - converted locator indicating which marhaller loader to call upon.
    `dataType` - indicates which unmarshaller to get.
    `classByteLoader` - is the class loader that the new unmarshaller and related classes get loaed into.
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.